Package ru.bitel.bgbilling.modules.mobile.common.bean

# Class MobileContractData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.mobile.common.bean.MobileContractData

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class MobileContractData
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MobileContractData()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `int` | `getCountNotification()` |
  `java.util.Date` | `getLastConfirmDate()` |
  `java.util.Date` | `getLastSendDate()` |
  `PushStatusType` | `getStatus()` | После того как пользователь залогинился через моб. приложение он получает токен для отправки пуш уведомления( при условии, что он дал такую возможность приложению) и отправляет его на push сервер, а после шлет на сервер биллинга провайдера подтверждение возможности отправки уведомлений и после этого данному договору можно их отправлять.
  `void` | `setContractId​(int contractId)` |
  `void` | `setCountNotification​(int countNotification)` |
  `void` | `setLastConfirmDate​(java.util.Date lastConfirm)` |
  `void` | `setLastSendDate​(java.util.Date lastSendDate)` |
  `void` | `setStatus​(PushStatusType status)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MobileContractData

    public MobileContractData()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getStatus

    public PushStatusType getStatus()
    После того как пользователь залогинился через моб. приложение он получает токен для отправки пуш уведомления( при условии, что он дал такую возможность приложению) и отправляет его на push сервер, а после шлет на сервер биллинга провайдера подтверждение возможности отправки уведомлений и после этого данному договору можно их отправлять.
    Но если была не удачная попытка уведомления(на все устройства), то после этого статус изменится на невозможный, до следующего подтверждения абонентом( то есть входом в приложение)

  - ### setStatus

    public void setStatus​(PushStatusType status)

  - ### getLastConfirmDate

    public java.util.Date getLastConfirmDate()

  - ### setLastConfirmDate

    public void setLastConfirmDate​(java.util.Date lastConfirm)

  - ### getCountNotification

    public int getCountNotification()

  - ### setCountNotification

    public void setCountNotification​(int countNotification)

  - ### getLastSendDate

    public java.util.Date getLastSendDate()

  - ### setLastSendDate

    public void setLastSendDate​(java.util.Date lastSendDate)